#
# spec file for package python-evtx
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%global modname python-evtx
Name:           python3-evtx
Version:        0.5.3b
Release:        150400.20.30
Summary:        Windows Event Log files parser
License:        Apache-2.0
Group:          Development/Libraries/Python
Url:            https://github.com/williballenthin/%{modname}
Source:         https://github.com/williballenthin/%{modname}/archive/v%{version}.tar.gz#/%{modname}-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  dos2unix
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  python3
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version}
BuildArch:      noarch
%endif
%python_subpackages

%description
python-evtx is a pure Python parser for recent Windows Event Log files (those
with the file extension ".evtx"). The module provides programmatic access to the
File and Chunk headers, record templates, and event entries. For example, you
can use python-evtx to review the event logs of Windows 7 systems from a Mac or
Linux workstation. The structure definitions and parsing strategies were heavily
inspired by the work of Andreas Schuster and his Perl implementation
"Parse-Evtx".

%prep
%setup -q -n %{modname}-%{version}

%build
%python_build

%install
%python_install
mkdir -p %{buildroot}%{_bindir}
for script in evtxdump.py evtxinfo.py; do
  sed -i -e 's:^#!/usr/bin/env python:#!%{__python3}:' scripts/$script
  dos2unix scripts/$script
  install -m 0755 scripts/$script %{buildroot}%{_bindir}/$script
done

%fdupes %{buildroot}

%files %{python_files}
%defattr(-,root,root)
%doc LICENSE.TXT README.md
%{python_sitelib}/*
%python3_only %{_bindir}/evtxdump.py
%python3_only %{_bindir}/evtxinfo.py

%changelog
* Tue Aug  1 2023 daniel.garcia@suse.com
- Remove %%py_requires macro call, it's too old and creates problems
  with python3 build.
* Fri Apr  1 2022 carnold@suse.com
- bsc#1197837 - FTBFS: python-evtx won't compile on SP4
  python-evtx.spec
* Thu Aug 24 2017 jmatejek@suse.com
- singlespec auto-conversion
* Wed May  3 2017 cbosdonnat@suse.com
- Update to 0.5.3
* Tue Apr 26 2016 cbosdonnat@suse.com
- Version 0.3.1
